/**
Author  : Laurent Tardif
Date    : 05 01 2001
Content : This class defines some usefull constant for the package

*/

package fr.fluxmedia.transmorpher.Files ;


import java.io.File;
import java.io.FileWriter;
import java.io.FileReader;


/* **********************************************************************

Class ReadWrite

*********************************************************************** */


public  class ReadWrite 
  implements Constants{
  
    FileWriter vFileW = null;
    FileReader vFileR = null;
    String vFileName = null ;
    int vMode = 0 ;
    
    public ReadWrite(String pName, int pMode) {
      vFileName = pName ;
      vMode = pMode ;
      try {
         if (pMode == WRITE ) {
          if (TRACE_MACHINE) System.out.println("[Save] " + pName );
          vFileW = new FileWriter( pName ); 
         } else { 
          if (TRACE_MACHINE) System.out.println("[Load] " + pName );
          vFileR = new FileReader (pName);
         }
          
      } catch (java.io.IOException pE) {
        if (pMode == WRITE ) {
          System.out.println("[Save] " + pE );
        } else {
          System.out.println("[Load] " + pE );
        }
        
      }
        
    }
    
    public String getName() {
      return vFileName ;
    }

    public void Write(String pString) {
      try {
        //System.out.print("[" +vFileName +"] : " +pString);
        vFileW.write(pString);
      } catch (java.io.IOException pE) {
        System.out.println("[Save] " + pE );
      }
        
    }

   public void Write(int Decalage,String pString) {
      String vParam ="";
      for (int i=0;i<Decalage;i++) {
        vParam+=" ";
      }
      Write(vParam+pString);       
    }

   public void Writeln(int Decalage,String pString) {
      String vParam ="";
      for (int i=0;i<Decalage;i++) {
        vParam+=" ";
      }
      Writeln(vParam+pString);       
    }
    
    public void Writeln(String pString) {
      try {
        //System.out.println("[" +vFileName +"] : " +pString+"\n");
        vFileW.write(pString +"\n");
      } catch (java.io.IOException pE) {
        System.out.println("[Save] " + pE );
      }
        
    }
    public char [] Read() {
        char[] chaine = null ;
      try {
        
        int Taillefichier = (int) (new File(vFileName).length());
        chaine = new char[Taillefichier];
        int longueur = vFileR.read(chaine);
         if (TRACE_MACHINE) System.out.println("long= " + longueur);
     
      } catch (java.io.IOException pE) {
        System.out.println("[Load] " + pE );
      }
      return chaine ;  
    }

    public void Close() {
      try {  
        if (vMode == READ ) vFileR.close();   
        else vFileW.close();   

      } catch (java.io.IOException pE) {
        System.out.println("[Save] " + pE );
      }
      
    }
         
  }