/**
Author  : Laurent Tardif
Date    : 05 01 2001
Content : Define a parser for XML Document

*/

package fr.fluxmedia.transmorpher.Parser ;


// Imported SAX Classes 

import org.xml.sax.AttributeList;
import org.xml.sax.HandlerBase;
import org.xml.sax.helpers.ParserFactory;
import org.xml.sax.Parser;
import org.xml.sax.SAXException ;

//Imported JAVA Classes

import java.util.Stack ;


/**
Author  : Laurent Tardif
Date    : 05 01 2001
Content : Define a parser for XML Document

*/
public class FMParser
 extends HandlerBase {

  /** The XML Parser class */
  private static final String
        DEFAULT_PARSER_NAME = "com.ibm.xml.parsers.SAXParser";

  /** XML Parser */
  javax.xml.parsers.SAXParser iParser = null;

  /** The current context of the parsing*/
  Stack iContext = null ;

  /** The constructor, build the XML PArser but not parse the document */
  public FMParser() {
    try {
      iParser = javax.xml.parsers.SAXParserFactory.newInstance().newSAXParser() ;
    } catch (javax.xml.parsers.ParserConfigurationException CNFE) {
      System.out.println("FMParser :Error [" + CNFE +"]");
    } catch (org.xml.sax.SAXException SaxE) {
      System.out.println("FMParser :Error [" + SaxE +"]");
    }
  }


  /** Parse the document given in parameter */
  public final void parse(String uri) {
    iContext = new Stack ();
 
    try {
      iParser.parse(uri,this);
    } catch (SAXException SE) {
      System.out.println("[FMParser]Erreur SAX(" + SE+")");
      System.out.println("[FMParser]Erreur SAX(" + SE.getMessage()+")");
      System.out.println("[FMParser]Erreur SAX(" + SE.getException()+")");
	  SE.printStackTrace();
    } catch (java.io.IOException IOE) {
      System.out.println("[FMParser]Erreur IO(" + IOE+")");
    }
   }

}
