/**
   TProcess
*/

package fr.fluxmedia.transmorpher.TProcessFactory ;

// Imported SAX classes

import org.xml.sax.ContentHandler;


// Imported TraX classes

import javax.xml.transform.TransformerException;
import javax.xml.transform.TransformerConfigurationException;


// Imported SAX classes

import org.xml.sax.SAXException;


// Imported JAVA API for XML Parsing 1.0 classes

import java.io.IOException;

/**
  * This class based on the TProcessBasic allow to define
  * a Connector. A connector is a N -> 1 element. 
  * It 's allow to merge a set of ContentHandler flow

  * @author Laurent Tardif (laurent.tardif@inrialpes.fr)
  * @since jdk 1.2 / SAX 2.0
  @see fr.fluxmedia.transmorpher.TProcessFactory.OneMixer
  @see fr.fluxmedia.transmorpher.TProcessFactory.MultipleMixer
  @see fr.fluxmedia.transmorpher.TProcessFactory.ProcessBasic
 */
 
public final class TLoopStack2
  extends TProcessComposite {

  TLoopStack2(String[] p, String[] p1) 
  throws TransformerException, TransformerConfigurationException,
         SAXException, IOException {
    super(p,p1);
  }


}
