package fr.fluxmedia.transmorpher.Application ; 


/**
 *
 * This is an utily class for the command line analysis  
 *
 * @author Laurent Tardif (laurent.tardif@inrialpes.fr)
 * @since SAX 2.0 / jdk 1.2 / XALAN 2.0
 */
 
public final class CommandLineArgument {
  /** The filename parameter */
  String iFilename = null;
  
  /** True if the command line is syntaxicly correct */
  boolean isOk = true;
  
  /** The commandLine constructor */
  public CommandLineArgument() {
  //Do nothing 
  }

  /** Set the filename */
  public final void setFilename(String pFilename) {
    iFilename = pFilename ;
  }
  
  /** Get the filename */
  public final String getFilename() {
    return iFilename ;
  }
  
  /** return true if the command line is syntaxicly correct */
  public final boolean IsOk() {
    return isOk;
  }
  
  /** Set the isOk variable to false */
  public final void setBadCommandLineArgument() {
    isOk = false ;
  }

} //end of class 
