package fr.fluxmedia.transmorpher.Parser ;

/**
  * Content : Define a class to store usefull parser information
  * for ProcessDescription file
  * @Author  : Laurent Tardif
  * @Date    : 05 01 2001
*/

public final class ParserAnswer {
  
  /** Store  the name */
  String iName = null;
  
  /** Store the liste of in XML_PORT*/
  String[] iIn = new String[0];
  
  /** Store the liste of OUT XML_PORT*/
  String[] iOut = new String[0];
  
  /** The filename */
  String iFilename = null;
  
  /** the reference Object */
  String iRefOn = null;
  
  /** The type of the element*/
  String iType = null;
  
  /** The number of iteration for loop, the infinity constant is defined in the TProcessFactory */
  int iCount = 0;
  
  /** Build a new ParserAnswer */
  public ParserAnswer() {
  }
  
  /** get the name */
  public final String getName() {
    return iName;
  }

  /** set the nale */
  public final void setName(String pName) {
    iName=pName;
  }

 /** get the name */
  public final String getRefOn() {
    return iRefOn;
  }

  /** set the nale */
  public final void setRefOn(String pRefOn) {
    iRefOn=pRefOn;
  }

  /** set the in XML_Port name */
  public final void setIn(String[] pIn) {
    iIn=pIn;
  }
  
  /** get the in Port name */
  public final String[] getIn() {
    return iIn;
  }
  
  /** set the out port */
  public final void setOut(String[] pOut) {
    iOut=pOut;
  }

  /** get the out port */
  public final String[] getOut () {
    return iOut;
  }

  /** get the filename */
  public final String getFilename() {
    return iFilename;
  }

  /** set the filename */
  public final void setFilename(String pFilename) {
    iFilename=pFilename;
  }
  
  /** get the filename */
  public final String getType() {
    return iType;
  }

  /** set the filename */
  public final void setType(String pType) {
    iType=pType;
  }
  
  public final void setCount(int pCount) {
    iCount = pCount ;
  }
  
  public final int getCount() {
    return iCount ;
  }
  
  
  
}