package fr.fluxmedia.transmorpher.TProcessFactory ;

// Imported TraX classes

import javax.xml.transform.TransformerException;
import javax.xml.transform.TransformerConfigurationException;


// Imported SAX classes

import org.xml.sax.SAXException;


// Imported JAVA API for XML Parsing 1.0 classes

import java.io.IOException;


/**
  * This interface allow to manage a set of OneMixer Object
  *
  *
  * @author laurent.tardif@inrialpes.fr
  * @date 10 02 2001 
  * @see SAX 2.0 && JDK 1.3
*/

public interface OneMixerHandler {

  void IsFinished() throws SAXException ;
  void IsFinishedDuringStop() throws SAXException ;

}
