/**
   TProcess
*/

package fr.fluxmedia.transmorpher.TProcessFactory ;

// Imported TraX classes

import javax.xml.transform.TransformerFactory;
import javax.xml.transform.stream.StreamSource;
import javax.xml.transform.TransformerException;
import javax.xml.transform.TransformerConfigurationException;
import javax.xml.transform.sax.SAXTransformerFactory;
import javax.xml.transform.sax.TransformerHandler;
import javax.xml.transform.sax.SAXSource;
import javax.xml.transform.sax.SAXResult;

// Imported SAX classes

import org.xml.sax.SAXException;


// Imported java.io classes

import java.io.IOException;

/**
  During the parse process an xsl file was generated to handle the define ruleset.
  So, the rule set process, is only a transformer
*/
public final class RuleSet 
  extends TTransformer{

  /** The instance  constructor 
  
  @throws TransformerException
  @throws TransformerConfigurationException
  @throws SAXException
  @throws IOException
  
  */
  public RuleSet (String[] pIn, String[] pOut,String pQueryName) 
    throws TransformerException, TransformerConfigurationException, 
           SAXException, IOException	 {
    super(pIn,pOut,pQueryName+".xsl");
  } //End constructor  
     
}//end class
